Bug 497192 - Review Request: polkit-qt - Qt bindings for PolicyKit
Review Request: polkit-qt - Qt bindings for PolicyKit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 14:04 EDT by Rex Dieter
Modified: 2016-08-14 12:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.9.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 23:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-04-22 14:04:48 EDT
http://rdieter.fedorapeople.org/pkg-reviews/polkit-qt/
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/polkit-qt/polkit-qt.spec
SRPM URL: http://rdieter.fedorapeople.org/pkg-reviews/polkit-qt/polkit-qt-0.9.2-1.fc11.src.rpm
Description:
Polkit-qt is a library that lets developers use the PolicyKit API through a nice
Qt-styled API. It is mainly a wrapper around QAction and QAbstractButton that
lets you integrate those two component easily with PolicyKit.


This will be needed for future incarnations of PolicyKit-kde
Comment 1 Rex Dieter 2009-04-22 14:05:53 EDT
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1315402
Comment 2 Parag AN(पराग) 2009-04-30 06:09:02 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1330027
+ rpmlint output for SRPM and for RPM.
polkit-qt.src: E: description-line-too-long Polkit-qt is a library that lets developers use the PolicyKit API through a nice

polkit-qt.src: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 1)

polkit-qt.i586: E: description-line-too-long Polkit-qt is a library that lets developers use the PolicyKit API through a nice

polkit-qt.i586: W: shared-lib-calls-exit /usr/lib/libpolkit-qt-core.so.0.9.2 exit@GLIBC_2.0

polkit-qt-examples.i586: W: non-conffile-in-etc /etc/dbus-1/system.d/org.qt.policykit.examples.conf

==> plz fix those before cvs import.

+ source files match upstream url
14cb821f8917c13ed4154a3ab8e596be  polkit-qt-0.9.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ polkit-qt.pc, polkit-qt-core.pc,polkit-qt-gui.pc file present.
+ -devel subpackage present.
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package polkit-qt-0.9.2-1.fc12.i586 =>
Provides: libpolkit-qt-core.so.0 libpolkit-qt-gui.so.0
Requires: libQtCore.so.4 libQtDBus.so.4 libQtGui.so.4 libQtXml.so.4 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libdbus-1.so.3 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libglib-2.0.so.0 libm.so.6 libpolkit-dbus.so.2 libpolkit-grant.so.2 libpolkit-qt-core.so.0 libpolkit-qt-gui.so.0 libpolkit.so.2 libpthread.so.0 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Package polkit-qt-devel-0.9.2-1.fc12.i586 =>
  Provides: pkgconfig(polkit-qt) = 0.9.2 pkgconfig(polkit-qt-core) = 0.9.2 pkgconfig(polkit-qt-gui) = 0.9.2
Requires: /usr/bin/pkg-config libpolkit-qt-core.so.0 libpolkit-qt-gui.so.0 pkgconfig(QtCore) pkgconfig(QtGui) pkgconfig(polkit) pkgconfig(polkit-dbus) pkgconfig(polkit-grant)
+ Package polkit-qt-examples-0.9.2-1.fc12.i586 =>
  Requires: libQtCore.so.4 libQtDBus.so.4 libQtXml.so.4 libc.so.6 libc.so.6(GLIBC_2.0) libdbus-1.so.3 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libglib-2.0.so.0 libm.so.6 libpolkit-dbus.so.2 libpolkit-grant.so.2 libpolkit-qt-core.so.0 libpolkit.so.2 libpthread.so.0 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)


Suggestions:
1) I think polkit-qt-examples should
Requires: dbus
2) Should query upstream to change COPYING file with text of GPLv2+.

APPROVED.
Comment 3 Rex Dieter 2009-04-30 08:11:17 EDT
Thanks, good suggestions, will do.


New Package CVS Request
=======================
Package Name: polkit-qt
Short Description: Qt bindings for PolicyKit
Owners: rdieter
Branches: F-10 F-11
Comment 4 Dennis Gilmore 2009-05-01 16:55:56 EDT
CVS Done
Comment 5 Fedora Update System 2009-05-02 17:48:30 EDT
polkit-qt-0.9.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/polkit-qt-0.9.2-1.fc11
Comment 6 Fedora Update System 2009-05-08 23:59:26 EDT
polkit-qt-0.9.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-08-08 18:11:23 EDT
polkit-qt-0.9.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/polkit-qt-0.9.2-1.fc10
Comment 8 Fedora Update System 2009-08-10 17:45:23 EDT
polkit-qt-0.9.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Kevin Kofler 2009-12-16 16:14:41 EST
Package Change Request
======================
Package Name: polkit-qt
New Branches: F-12
Owners: rdieter

This was excluded from the F-12 mass branching because it got marked dead.package due to no version compatible with PolicyKit 1 having been available at the time. Now we have such a version and thus the package got resurrected, so we need it branched for F-12 to build it for F12 updates.

(I talked to rdieter on IRC and he said it's a good idea to request the branch now.)
Comment 10 Kevin Fenzi 2009-12-21 15:12:51 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.